## opencpn 4.99.1520

=== debian/changelog ===
opencpn (4.99.1520-rc2~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Aug 2019 18:44:27 -0700
