=== debian/control ===
Source: opencpn
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10),
               cmake,
               libgtk2.0-dev,
               gettext,
               gpsd,
               gpsd-clients,
               libgps-dev,
               wx-common (>= 3.0.2),
               libwxgtk3.0-dev (>= 3.0.2),
               libglu1-mesa-dev,
               libgtk2.0-dev,
               wx3.0-headers (>= 3.0.2),
               libbz2-dev,
               libtinyxml-dev (>= 2.6.2),
               libsdl1.2debian,
               libportaudio2,
               portaudio19-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libcairo2-dev,
               libarchive-dev,
               liblzma-dev,
               libexif-dev
Standards-Version: 3.9.8
Homepage: http://www.opencpn.org/ocpn

Package: opencpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         wx3.0-i18n (>= 3.0.2),
         opencpn-tcdata,
         opencpn-gshhs-low
Provides: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Conflicts: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Replaces: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Recommends: xcalib,xdg-utils,opencpn-doc,opencpn-gshhs-crude
Suggests: opencpn-gshhs-low, opencpn-gshhs-intermediate,
          opencpn-gshhs-high,opencpn-gshhs-full
Description: Concise chartplotter and navigation software
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
