=== debian/rules ===
#!/usr/bin/make -f

#Don't touch the SVG files otherwise cairo is not able to render them...
DEB_DH_SCOUR_ARGS += -Xsvg

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/class/cmake.mk

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym
