=== debian/changelog ===
opencpn (5.0.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Aug 2019 17:32:55 -0700

opencpn (5.0.0-0~xenial1) xenial; urgency=low

  * Version 5.0.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 23 Mar 2019 09:52:44 -0400
 

opencpn (4.99.1519-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1519-0~bionic1) bionic; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1519-0~xenial1) xenial; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1518-0~trusty1) trusty; urgency=low

  * Version 4.99.1518

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 01:02:39 -0400
 

opencpn (4.99.1428-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~bionic1) bionic; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~xenial1) xenial; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~trusty1) trusty; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1427-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1427-0~bionic1) bionic; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1427-0~xenial1) xenial; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1426-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 

opencpn (4.99.1426-0~bionic1) bionic; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 
 

opencpn (4.99.1426-0~xenial1) xenial; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 

opencpn (4.99.1426-0~trusty1) trusty; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500

opencpn (4.99.1425-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~bionic1) bionic; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~xenial1) xenial; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~trusty1) trusty; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1409-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1409-0~bionic1) bionic; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1409-0~xenial1) xenial; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1408-0~cosmic1) cosmic; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1408-0~bionic1) bionic; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1408-0~xenial1) xenial; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1406-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1406-0~bionic1) bionic; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1406-0~xenial1) xenial; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1405-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~bionic1) bionic; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~trusty1) trusty; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~xenial1) xenial; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1404-0~xenial1) xenial; urgency=low

  * Version 4.99.1404

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 23:25:38 -0500

opencpn (4.99.1403-0~xenial1) xenial; urgency=low

  * Version 4.99.1403

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 22:46:30 -0500

opencpn (4.99.1402-0~xenial1) xenial; urgency=low

  * Version 4.99.1402

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 22:05:05 -0500

opencpn (4.99.1401-0~xenial1) xenial; urgency=low

  * Version 4.99.1402

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 21:59:59 -0500

opencpn (4.99.1401-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500

opencpn (4.99.1401-0~bionic1) bionic; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500

opencpn (4.99.1401-0~trusty1) trusty; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500
